aboutsummaryrefslogtreecommitdiffstats
path: root/_zsh/80-gpg.zsh
diff options
context:
space:
mode:
Diffstat (limited to '_zsh/80-gpg.zsh')
-rw-r--r--_zsh/80-gpg.zsh5
1 files changed, 2 insertions, 3 deletions
diff --git a/_zsh/80-gpg.zsh b/_zsh/80-gpg.zsh
index e841d67..c0314d4 100644
--- a/_zsh/80-gpg.zsh
+++ b/_zsh/80-gpg.zsh
@@ -44,7 +44,7 @@ restart-gpg-agent() {
# * `gpg-agent(1)': option `--enable-ssh-support'
#
update-gpg-tty() {
- gpg-connect-agent updatestartuptty /bye >/dev/null
+ gpg-connect-agent updatestartuptty /bye >/dev/null 2>&1
}
update-pinentry-app() {
@@ -57,8 +57,7 @@ update-pinentry-app() {
#
autoload -U add-zsh-hook
zsh-preexec() {
- update-gpg-tty
- update-pinentry-app
+ update-gpg-tty && update-pinentry-app || true
}
add-zsh-hook preexec zsh-preexec